Bug 17776 - disk druid put EFI partition on sda9 - not bootable
disk druid put EFI partition on sda9 - not bootable
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-21 15:59 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-18 12:45:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-09-21 15:59:19 EDT
Using Red Hat IA-64 09/21/00 CD

Disk Druid put the EFI partition on sda9 which is not bootable, when using
this kickstart script:
zerombr yes
clearpart --all
part /boot/efi --size 100	--ondisk sda --type 6
part /         --size 512	--ondisk sda
part /usr      --size 3072	--ondisk sda
part swap      --size 512	--ondisk sda
part /tmp      --size 256	--ondisk sda
part /var      --size 256	--ondisk sda --grow

Disk Druid automatic partitioning needs to put EFI partitions on a primary
partition.
Comment 1 Michael Fulbright 2000-09-25 15:43:40 EDT
This should be working as I put in some code to handle this case, will look
into.
Comment 2 Brent Fox 2000-11-08 10:28:44 EST
Does this problem still exist for the latest IA-64 beta?
Comment 3 Brent Fox 2000-11-18 12:45:43 EST
Closing due to inactivity.  Please reopen if you have any additional information 
or if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.